### Method

# Gtk Editableset_alignment

#### Declaration [src]

    void
    gtk_editable_set_alignment (
      GtkEditable* editable,
      float xalign
    )

#### Description [src]

Sets the alignment for the contents of the editable.

This controls the horizontal positioning of the contents when the displayed text is shorter than the width of the editable.

Sets property | `Gtk.Editable:xalign`

#### Parameters

`xalign`

  Type: `float`

  The horizontal alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.